name: TC2050
description: connector, tag connect, TC2050
datasheet: https://www.tag-connect.com/wp-content/uploads/bsk-pdf-manager/TC2050-IDC_Datasheet_7.pdf

pinout: 1-10

properties:
  passive: 1-10

schematic:
  symbol: connector
  left: 1-10

housing:
  pattern: custom
  bodyWidth: 7.45
  bodyLength: 12.34
  height: 28.915

  # pads
  numbers: 1,10,2,9,3,8,4,7,5,6
  pitch: 1.27
  rowCount: 5
  columnCount: 2
  padDiameter: 0.7874

  # alignment pins
  holeDiameter1: 0.9906
  padDiameter1: 0
  padPosition1: 0, -3.81, -1.015, 3.81, 1.015, 3.81

  # leg latch
  holeDiameter2: 2.3749
  horizontalPitch2: 5.08
  verticalPitch2: 5.715
  rowCount2: 2
  columnCount2: 2
  columnDY2: -0.9525
